EJECT(1)

NUME
eject - ejectează mediile amovibile

eject [opțiuni] dispozitiv|punct-montare

DESCRIERE

eject permite ca un suport detașabil (de obicei un CD-ROM, o dischetă, o bandă, un disc JAZ, ZIP sau USB) să fie ejectat sub controlul software-ului. Comanda poate controla, de asemenea, unele schimbătoare de CD-ROM cu mai multe discuri, funcția de ejectare automată suportată de unele dispozitive și închiderea tăvii de discuri a unor unități CD-ROM.

Dispozitivul corespunzător dispozitivului sau punctului-de-montare este ejectat. Dacă nu este specificat nici un nume, se utilizează numele implicit /dev/cdrom. Dispozitivul poate fi adresat prin numele dispozitivului (de exemplu, 'sda'), ruta dispozitivului (de exemplu, '/dev/sda'), etichete UUID=uuid sau LABEL=eticheta.

Există patru metode diferite de ejectare, în funcție de faptul că dispozitivul este un CD-ROM, un dispozitiv SCSI, o dischetă detașabilă sau o bandă. În mod implicit, eject încearcă toate cele patru metode în ordine până când reușește.

În cazul în care este specificată o partiție de dispozitiv, se utilizează întregul dispozitiv de disc.

Dacă dispozitivul sau o partiție de dispozitiv este montată în prezent, aceasta este demontată înainte de ejectare. Ejectarea este procesată pe descriptorul de fișier de dispozitiv cu bloc deschis exclusiv dacă nu se specifică --no-unmount sau --force.

OPȚIUNI

-a, --auto on|off
    Această opțiune controlează modul de ejectare automată, acceptat de unele dispozitive. Atunci când este activată, unitatea se ejectează automat atunci când dispozitivul este închis.

-c, --changerslot slot
    Cu această opțiune se poate selecta un slot pentru CD de la un schimbător de CD-ROM ATAPI/IDE. Unitatea de CD-ROM nu poate fi în uz (CD de date montat sau redarea unui CD de muzică) pentru ca o cerere de schimbare să funcționeze. Rețineți, de asemenea, că primul slot al schimbătorului este denumit 0, nu 1.

-d, --default
    Afișează numele implicit al dispozitivului.

-F, --force
    Forțează ejectarea, nu verifică tipul de dispozitiv, nu deschide dispozitivul cu blocare exclusivă. Rezultatul de succes poate fi un fals pozitiv în cazul dispozitivelor care nu pot fi conectate la cald.

-f, --floppy
    Această opțiune specifică faptul că unitatea trebuie ejectată utilizând o comandă de ejectare a dischetei detașabile.

-i, --manualeject on|off
    Această opțiune controlează blocarea butonului de ejectare a dispozitivului. Atunci când este activată, unitatea nu va fi ejectată atunci când este apăsat butonul. Această opțiune este utilă atunci când transportați un laptop într-o geantă sau într-o husă și nu doriți ca acesta să ejecteze unitatea în cazul în care butonul este apăsat din greșeală.

-M, --no-partitions-unmount
    Opțiunea îi spune lui eject să nu încerce să demonteze alte partiții de pe dispozitive cu partiții. Dacă o altă partiție este încă montată, programul nu va încerca să ejecteze suportul. Acesta va încerca să demonteze numai dispozitivul sau punctul de montare indicat în linia de comandă.

-m, --no-unmount
    Opțiunea îi spune lui eject să nu încerce deloc să demonteze. Dacă această opțiune nu este specificată, atunci eject deschide dispozitivul cu fanionul O_EXCL pentru a se asigura că dispozitivul nu este utilizat (începând cu v2.35).

-n, --noop
    Cu această opțiune, dispozitivul selectat este afișat, dar nu se efectuează nicio acțiune.

-p, --proc
    Această opțiune vă permite să utilizați /proc/mounts în loc de /etc/mtab. De asemenea, pasează opțiunea -n către umount(8).

-q, --tape
    Această opțiune specifică faptul că unitatea ar trebui să fie ejectată utilizând o comandă de deconectare a unității de bandă.

-r, --cdrom
    Această opțiune specifică faptul că unitatea trebuie ejectată folosind o comandă de ejectare a CD-ROM-ului.

-s, --scsi
    Această opțiune specifică faptul că unitatea trebuie să fie ejectată folosind comenzi SCSI.

-T, --traytoggle
    Cu această opțiune, unitatea primește o comandă de închidere a tăvii CD-ROM dacă este deschisă și o comandă de ejectare a tăvii CD-ROM dacă este închisă. Nu toate dispozitivele acceptă această comandă, deoarece utilizează comanda de închidere a tăvii CD-ROM de mai sus.

-t, --trayclose
    Cu această opțiune, unitatea primește o comandă de închidere a tăvii CD-ROM. Nu toate dispozitivele acceptă această comandă.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează informațiile despre versiune și iese.

-v, --verbose
    Rulează în modul descriptiv; sunt afișate mai multe informații despre ceea ce face comanda.

-X, --listspeed
    Cu această opțiune, unitatea CD-ROM va fi testată pentru a detecta vitezele disponibile. Rezultatul este o listă de viteze care poate fi utilizată ca argument al opțiunii -x. Această opțiune funcționează numai cu Linux 2.6.13 sau o versiune ulterioară, la versiunile anterioare va fi raportată numai viteza maximă. De asemenea, rețineți că este posibil ca unele unități să nu raporteze corect viteza și, prin urmare, această opțiune nu funcționează cu acestea.

-x, --cdspeed viteza
    Cu această opțiune, unitatea primește o comandă de selectare a vitezei CD-Rom-ului. Argumentul viteza este un număr care indică viteza dorită (de exemplu, 8 pentru viteza 8X), sau 0 pentru viteza maximă de transfer de date. Nu toate dispozitivele suportă această comandă și puteți specifica numai vitezele de care unitatea este capabilă. De fiecare dată când se schimbă suportul, această opțiune este ștearsă. Această opțiune poate fi utilizată singură sau împreună cu opțiunile -t și -c.

STARE DE IEȘIRE

Returnează 0 dacă operația a avut succes, 1 dacă operația a eșuat sau dacă sintaxa comenzii nu a fost validă.

NOTE

eject funcționează numai cu dispozitive care acceptă una sau mai multe dintre cele patru metode de ejectare. Aceasta include majoritatea unităților CD-ROM (IDE, SCSI și proprietare), unele unități de bandă SCSI, unități JAZ, unități ZIP (versiuni cu port paralel, SCSI și IDE) și dischete detașabile LS120. Utilizatorii au raportat, de asemenea, succese cu unitățile de dischetă de pe sistemele Sun SPARC și Apple Macintosh. În cazul în care eject nu funcționează, cel mai probabil este vorba de o limitare a controlorului nucleului pentru dispozitiv și nu a programului eject în sine.

Opțiunile -r, -s, -f și -q permit controlarea metodelor utilizate pentru ejectare. Se pot specifica mai multe metode. Dacă nu se specifică niciuna dintre aceste opțiuni, se încearcă toate cele patru (acest lucru funcționează bine în majoritatea cazurilor).

Este posibil ca eject să nu poată determina întotdeauna dacă dispozitivul este montat (de exemplu, dacă are mai multe nume). În cazul în care numele dispozitivului este o legătură simbolică, eject va urmări legătura și va utiliza dispozitivul la care aceasta indică.

Dacă eject determină că dispozitivul poate avea mai multe partiții, va încerca să demonteze toate partițiile montate pe dispozitiv înainte de al expulza (a se vedea, de asemenea, --no-partitions-unmount). Dacă o demontare eșuează, programul nu va încerca să ejecteze suportul.

Puteți ejecta un CD audio. Unele unități CD-ROM refuză să deschidă tava dacă unitatea este goală. Unele dispozitive nu acceptă comanda de închidere a tăvii.

Dacă funcția de ejectare automată este activată, atunci unitatea va fi întotdeauna ejectată după executarea acestei comenzi. Nu toți controlorii de CD-ROM din nucleul Linux acceptă modul de ejectare automată. Nu există nicio modalitate de a afla starea modului de ejectare automată.

Aveți nevoie de privilegii corespunzătoare pentru a accesa fișierele dispozitivului. Pentru a ejecta unele dispozitive (de exemplu, dispozitive SCSI) este necesară rularea ca root.

AUTORI

- autorul original, și - versiunea util-linux.

CONSULTAȚI ȘI

findmnt(8), lsblk(8), mount(8), umount(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți sistemul de urmărire al problemelor la

DISPONIBILITATE

Comanda eject face parte din pachetul util-linux care poate fi descărcat de la adresa

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.